commit cfde5e9f348db6e6b2639dd7e592520dff028452
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Jun 18 21:35:56 2018 -0700

    xf86-input-mouse 1.9.3
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit e6aa78128e8e4489e7845a3ada552427a43663b9
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jun 7 14:17:23 2016 -0400

    bsd: Don't try to use SIGIO for input ABI >= 23
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 3c8f243b750a92d5837a449d344ff884dbd02b57
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Feb 16 09:21:21 2017 -0500

    Adapt to removal of xf86GetOS
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9d0d12cd432a7d27d526f8742332dee094834aa1
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 2ad101d5059b7200433afc36aea2c30d1839ea02
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8976960cac1a0c885a07e75c86261361256a3887
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 9d6c38eae40a435b4057a33d55759810ea7b91c1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 17 14:35:47 2016 +1000

    mouse 1.9.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2dda9b90b9c632d2f27a7b2f46bc4e4af1e9d82d
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 30 22:45:13 2016 -0700

    Support ABI_XINPUT_VERSION 24 (remove LastSelectMask from block/wakeup)
    
    The block and wakeup handler API is changing so that the FD_SET type
    isn't visible outside the OS layer anymore. The mouse driver didn't
    need that argument anyways, so the change is just to adjust the APIs
    to avoid compiler warnings.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 80952e5a5fcb4158249451f2339de618c4e63b82
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 30 22:45:12 2016 -0700

    Support ABI_XINPUT_VERSION 23 (use input_lock/input_unlock)
    
    This makes using input_lock/input_unlock conditional on the ABI
    version so that we don't get compiler warnings when compiling with the
    newer server bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c22d3073dc1b82fe6c466e5ea71b6da755bb9a8e
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 27 00:06:06 2015 +0200

    Add some standard defines to pkg-config file.
    
    Not strictly needed in the xorg build, but helps the NetBSD reachover
    build, and follows implicit conventions about pkg-config files more
    closely.
    
    See also http://gnats.netbsd.org/48991
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 85ee769d769e87b1e4a21b8c48944238c8ebe5f7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 28 09:38:38 2015 -0800

    README: Drop ancient, no longer supported versions of Solaris
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9d404d41b6edbee9b96ee8bad705f7e5fdd3e7c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 28 09:36:29 2015 -0800

    README: Add "or xf86-input-libinput" to -evdev note for Linux
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6886084b192e681739fc55892f30681efb4f79f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 11 23:36:23 2014 -0700

    xf86-input-mouse 1.9.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 252b15a2aeab5d7c843271caf4852df03d7a25eb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 11 19:47:20 2014 -0700

    Update some outdated language in a comment on obsolete hardware
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e83991474e9964917ea6ece5ad21d1bf56481dfa
Author: Michael Thayer <michael.thayer@oracle.com>
Date:   Thu Apr 24 10:32:17 2014 +0200

    Make absolute input reporting in Solaris aware of resolution changes
    
    Currently on Solaris absolute input reporting only takes resolution changes
    into account when the video driver is using the pre-RandR 1.2 APIs, and
    there it uses the physical resolution, not the virtual.  This patch fixes
    those two things.
    
    Signed-off-by: Michael Thayer <michael.thayer@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7a1fb986cc5ace474b6f040179bd130d4ba6f78f
Author: Michael Thayer <michael.thayer@oracle.com>
Date:   Mon Mar 31 11:21:12 2014 +0200

    Do not drop the result of protocol detection
    
    In MousePickProtocol() with protocol PROT_AUTO we probe for the protocol to
    use but drop the result in most cases.  This was causing DEVICE_INIT and
    DEVICE_ON to fail to be called with the VUID protocol.  Git history suggests
    that this code was originally meant to cover both PS/2 auto-detection and OS-
    specific detection, but that only the first case was implemented at the time.
    Now that only the second is needed dropping the result to keep the protocol
    as PROT_AUTO is presumably no longer useful and seems to actively breaking
    things.
    
    Signed-off-by: Michael Thayer <michael.thayer@oracle.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e79eb64e50bf19d984a27af1dedaa78c1e77072
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Aug 19 19:30:37 2013 +0200

    Add support for absolute positioning (tablets).
    
    From Pierre Pronchery <khorben@NetBSD.org>
    and review comments by Daniel Stone <daniel@fooishbar.org>.
    
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit b77a728904d5492163728762d4f363554edefba5
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Aug 19 11:14:33 2013 +0200

    For wsmouse, keep 3-button emulation status.
    
    With a multiplexed device like wsmouse it does not make sense to
    kill emulate3buttons on the first button-3-pressed event. The
    button-3 pressed may belong to a mouse long gone and leave the
    internal (two button only) mousepad useless.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    From Martin Husemann <martin@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit ae1a3d6072fea65a8a594f2614f47c43dd8dd267
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Aug 19 11:14:32 2013 +0200

    Make wsmouse (re-)init the version.
    
    This makes sure that the xserver and the mouse speak the same
    protocol version.
    
    Acked-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    From Matthew R. Green <mrg@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit e2cb94b0f3f555f4b1744d63caa587c804f942a2
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Aug 19 11:14:30 2013 +0200

    Enable MSE_MISC on NetBSD as well.
    
    Otherwise we can't find WSMouse.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    From Matthew R. Green <mrg@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit ea504b225f7cbedced9466bbf09ebfa43f39dcfb
Author: Patrik Jakobsson <patrik.r.jakobsson@gmail.com>
Date:   Sun Jan 5 18:57:28 2014 +0100

    Add AC_SYSTEM_EXTENSIONS to expose asprintf with GNU libc
    
    As required by the following commit:
    commit 8c75f6e1c117f3d05f0bc7bed34f0e7e933f3b9a
    Use asprintf (or Xprintf on old servers) instead of strdup+sprintf
    
    Signed-off-by: Patrik Jakobsson <patrik.r.jakobsson@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c75f6e1c117f3d05f0bc7bed34f0e7e933f3b9a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 19 21:49:57 2013 -0700

    Use asprintf (or Xprintf on old servers) instead of strdup+sprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d5de178fe9c20351ff400ff616ffbfe05471cdcc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 19 18:40:10 2013 -0700

    Wrap some overly long lines
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 35cae8f4352002c8dce85dbc86cebb50e915a478
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 27 10:59:05 2013 +1000

    mouse 1.9.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 585f4030d77accf2a4ba115729ca08da82217863
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8e74b1db7b32a2a2bb668a8edc6757cc5b77157a
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 16 13:11:11 2013 -0500

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 3b199a175da8485c216ccccb68df4cf539899619
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 15 14:38:28 2012 +1000

    Use signal-safe logging if available
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@ubuntu.com>

commit cb1f60930bdc8121e5d7b9210f9491d1116d6aef
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 15 14:43:14 2012 +1000

    Fix compilation error with EXTMOUSEDEBUG on
    
    pInfo->atom was removed in xorg-server-1.9.0-26-g9802cca
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 29dbd85c4617a062d2003e0673806b92f8397492
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 09:39:38 2012 +1000

    xf86-input-mouse 1.8.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5a5f41659d4e43330407fa8895710c865d2b5328
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 30 15:56:18 2012 -0700

    Fix compiler warning in sun_mouse.c (Solaris-only)
    
    sun_mouse.c: In function 'vuidRemoveMouse':
    sun_mouse.c:150:42: warning: declaration of 'time' shadows a global declaration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5748979008acafd1a8b28f47e292ed6a9706474c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 08:28:27 2012 +1000

    Rename xf86-mouse.pc to xorg-mouse.pc
    
    Other input drivers already shipping pkgconfig files use this naming scheme
    and since the 1.8 release didn't install the file anyway, renaming is still
    acceptable at this point.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a5630a5668793e3bdc6190b5e2ee22d7c28dda0c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 30 09:06:49 2012 +1000

    Install xf86-mouse.pc file
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7c1e63ef00777553cca66781b8db0272bd405db0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 30 15:53:22 2012 +1000

    Fix compiler warnings
    
    pnp.c: In function 'probePs2ProtocolPnP':
    pnp.c:711:31: warning: declaration of 'seq' shadows a previous local
    [-Wshadow]
    pnp.c:705:23: warning: shadowed declaration is here [-Wshadow]
    
    mouse.c: In function 'MouseCommonOptions':
    mouse.c:330:13: warning: declaration of 'i' shadows a previous local
    [-Wshadow]
    mouse.c:279:9: warning: shadowed declaration is here [-Wshadow]
    
    mouse.c: In function 'autoProbeMouse':
    mouse.c:3602:29: warning: declaration of 'proto' shadows a global
    declaration [-Wshadow]
    mouse.c:2482:22: warning: shadowed declaration is here [-Wshadow]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3c0c022672324286b0e936977ca267c6b04dc0f2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 26 23:10:47 2012 -0700

    xf86-input-mouse 1.8.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66792aff9562a3cd69576739e4dae116edb31efd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 25 22:12:02 2012 -0700

    Fix vuidMouseAdjustFrame to build with Xorg 1.13 ABI
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a2494e6fe3168b03f2ebc7d584db0256657c891f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 23 22:11:57 2012 -0700

    Raise bar for xorg-server to 1.7 for XINPUT ABI 7
    
    Not all of the button label settings were wrapped in ABI #ifdefs,
    so just drop all #ifdefs for GET_ABI_MAJOR(ABI_XINPUT_VERSION) < 7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 88e90dde7a5ffff67da9e091e59c09f2a0828582
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 30 20:36:40 2012 -0700

    Expand tabs to spaces
    
    Existing code had a mix of places tab & space characters were used.
    Make them all spaces for consistency, since that's the new style
    chosen for xorg-server.
    
    "git diff -w" shows no changes - this is pure whitespace adjustment.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 580e739de0b15df9b7982213d2e2d9b84413b157
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 30 20:33:27 2012 -0700

    Strip trailing whitespace
    
    cleanup done via: perl -p -i -e 's/[\t ]*$//'
    "git diff -w" shows no changes - this is pure whitespace adjustment.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1816cd91981c0f9673cf56dc4f5b0021e9cbbc65
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 27 17:36:01 2012 -0700

    Add settable properties for middle mouse button emulation
    
    Based on evdev's similar properties, including using the name "middle"
    button, to avoid confusion with evdev's 3rd button emulation for
    emulating the right button on a single button mouse.
    
    Allows manual enable & disable at runtime.
    
    Exports new xf86-mouse.pc & xf86-mouse-properties.h for property name
    definitions.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 84090b15ea6346d0764a0e0be3f0bd65a7e0fe7c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 27 15:57:28 2012 -0700

    Set button & axis labels
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4b6738c8409fe73596863b37a8fcad8ae352d121
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 27 15:44:00 2012 -0700

    Set XI_PROP_DEVICE_NODE property to string from "Device" option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5583a77bbadd2e89cbc69a66f27deee1a5da982c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 27 14:31:20 2012 -0700

    sun_mouse.c: Remove redundant option checks
    
    Previously they checked pInfo->options, then fell back to
    pInfo->conf_idev->commonOptions - but then 7bf22a368c752fe76dc
    replaced the latter with the former, resulting in some redunancy.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 80d724d13a8de585722967f7d18a65b4b555badd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 15 23:34:21 2012 -0700

    xf86-input-mouse 1.7.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 68a1e2f74dd58c913e5d1f8d6138cd8ce73232a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 22 20:55:45 2011 -0800

    sun_mouse.c: remove unused variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a5126694b29bdf9c852254b53174fcf37537b121
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 22 20:54:14 2011 -0800

    Mark symtab_t.name in pnp.c as const to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8bc8502c698115c3f4885ba42e60ede0e681caaa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 30 19:29:01 2011 -0800

    Avoid NULL pointer dereference in autoProbeMouse if proto == PROT_UNSUP
    
    Error: Null pointer dereference (CWE 476)
       Read from null pointer 'GetProtocol(proto)'
            at line 3477 of src/mouse.c in function 'autoProbeMouse'.
              Function 'GetProtocol' may return constant 'NULL' at line 736, called at line 3477.
              Null pointer introduced at line 736 in function 'GetProtocol'.
    
    We already handle one of the two cases that make GetProtocol return NULL,
    proto == PROTO_UNKNOWN, but not PROT_UNSUP.
    
    [ This bug was found by the Parfait 0.4.2 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>

commit b65651974ee5620086b484086ea12d78c92fa369
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Aug 19 21:07:13 2011 +0600

    Fix wrong read Protocol and Device from xorg.conf
    
    Add call xf86CollectInputOptions() before using pInfo->options.
    The bug is seeing by ABI < 12.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7bb5cbecbcc24f20467546f957fb95c9190514c0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 25 21:11:50 2011 -0700

    sun_mouse.c: Ensure vuidMouse setup routines are called for protocol "Auto"
    
    Fixes regression caused by commit b12fa0d5ab23 in which devices with
    protocol "Auto" (generally just PS/2 devices on Solaris, since HAL
    sets protocol "VUID" for USB devices already) weren't going through
    vuidMousePreInit and setting up the device_control & read_input pointers
    to the routines which know how to decode VUID packets.
    
    Adds a check to vuidPreInit to ensure we don't leak memory if called
    twice for the same device, just in case I missed a code path, or a
    new one appears in the future.
    
    Fixes Solaris bug 7070321: Mouse protocol "Auto" does not work in build 170
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 94fb2250b12fbaf840352b83dd9f832319c92b0f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 25 20:40:03 2011 -0700

    No need to merge NULL options list with existing options
    
    Appending NULL to an existing options list simply walks the entire
    existing list before returning it unchanged, so if we aren't creating
    a new list to merge, don't bother merging it either.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 93ebeecdda61cc7121b5c095ed5db07ad0ca0f88
Author: Terry Lambert <tlambert@chromium.org>
Date:   Fri Jul 15 17:23:23 2011 -0700

    xf86-input-mouse: Return proper default for unknown values in pInfo->device_control.
    
    Signed-off-by: Terry Lambert <tlambert@chromium.org>
    Reviewed-by: Stephane Marchesin <marcheu@chromium.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9f969bd4d1995aa802bef1cfe93afedc412bbd8a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 5 09:09:26 2011 -0700

    xf86-input-mouse 1.7.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b12fa0d5ab23237bc2ac02143739ef6861e55146
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 24 22:52:59 2011 -0700

    Fix Solaris issues with new ABI12 init process.
    
    Based on BSD changes in commit a22879c6779283684fe4a61543fc95179b4f5d0b
    by Alexandr Shadchin
    
    Fix segfaults when mouse device fails to open.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1780667854d73bbd0e0596271b09f93321cd0b1d
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Mar 30 02:26:25 2011 +0200

    Fix Hurd mouse driver with XInput ABI before 12
    
    Commit 7bf22a36 (Use pInfo->options instead of conf-idev.) updated the
    xf86CollectInputOptions call into keeping previous options (for ABI before
    12). The hurd mouse driver also needs to be updated.

commit d6e9623875de5714e85f7da5782ea665116f86dc
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Mar 30 01:00:47 2011 +0200

    Fix OSMouse OS-defined protocol support
    
    Fix regression introduced by 0a088df6: in the case of an OS-specific
    protocol, the protocol is PROT_UNKNOWN, but should not be rejected: the core
    mouse drive just needs to let the OS driver handle it.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit a07c353f01f99ef3e62f84a32e91d539a4e4863a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 10 08:32:23 2011 +1000

    mouse 1.7.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a22879c6779283684fe4a61543fc95179b4f5d0b
Author: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
Date:   Wed Mar 9 20:09:59 2011 +0500

    Fix BSD issues with new ABI12 init process.
    
    From Bug 34794:
    "Until xf86-input-mouse-1.6.0, the MousePreInit() function exited if an
    os specific PreInit function existed. It let the os-specific function finish
    all initialisations that remained to be done after osInfo->PreInit() was
    called.
    
    The code in master now continues, and does things that the bsdMousePreInit()
    function in bsd_mouse.c doesn't expect."
    
    Fix up wsconsPreInit to deal with the new init process.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=34794
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2e507df6704ebd2cab6ada450ed40d89a2d3ca19
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 10:06:54 2011 +1000

    mouse 1.6.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 70f1d8579ef86dd428eabcb3752b5d1bce47b8f7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:40:13 2011 +1000

    man: ClearDTR and ClearRTS are handled by the X server.
    
    If it breaks, we know who to blame (or file a bug against).
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 194c5913e92c84d1a30447d43b5beee77a98b7ba
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:33:37 2011 +1000

    man: protocol option isn't mandatory, it's platform-specific.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit f70a9817a2eb845eb9718c0ed6540de1ffe7e531
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:30:36 2011 +1000

    man: fix typo "Auto platform" → "Auto protocol"
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit a45b5d0eaf871c139b057f757869a20fd617d529
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:29:59 2011 +1000

    man: README.mouse is just README
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 9140e2640319833658a2be5ab2f8349a79ff20aa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:28:26 2011 +1000

    man: add mention of xorg.conf.d snippet
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit af784aad332d67bb746597d5de032ca320928d51
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:24:38 2011 +1000

    man: remove mention of core pointer.
    
    This doesn't apply to X servers 1.7 and later.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 6b5a82e4e85ab12df23ecf30f2b07eb4c5763e93
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 29 22:25:52 2010 -0800

    Add ABI checks around XI86_CONFIGURED uses in OS-specific PreInits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 73bb42e10033cfeb41ba540ea0303b882ff7e61e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 25 11:35:29 2010 +1000

    Bump to 1.6.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0a088df6b2f5cac05a00c4f461274b83feb1a9a8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 14:34:28 2010 +1000

    Adjust to new Input ABI 12.
    
    New PreInit prototype and a couple of other minor changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit fedd52ba781da1960ada0a96b85293afe2509a4a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:16:22 2010 +1000

    ABI 12 requires per-valuator modes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 7bf22a368c752fe76dc60c3ea0f70ec1a46d653e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 14:36:59 2010 +1000

    Use pInfo->options instead of conf-idev.
    
    Because it doesn't really matter anyway, I think.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f3f405db5603ecca5bc14dba23628ea56a0f5202
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 16:08:49 2010 +1000

    Remove write-only field mouseFlags.
    
    The flags were used to store ClearDTS and ClearRTR, but those options only
    resulted in log messages.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23308a251e16c4a6ab3c89c0505b0d8900c9cdff
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:51:59 2010 +1000

    Rename xf86OSMouseInit to OSMouseInit.
    
    This isn't a DDX function anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9263c949df6cbbb8e42ec4f0d6337206f684d0f5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:49:23 2010 +1000

    Remove random History comment.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ecc3d28fa488f186896d714b8872b8875f8eccfd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:46:13 2010 +1000

    Rename xf86OSmouse.h to mouse.h
    
    The driver-internal mouse.h header was only an include command for
    xf86OSmouse.h anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a92175888885ac77c87d52309cba87f1e9c96e73
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:43:47 2010 +1000

    Remove a bunch of unused fields from the MouseRec.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a48e8ce9434837d649eb88058aa9406f1bf9dce9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:41:26 2010 +1000

    Move a statement down to have all allocations close together.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f3ac92a41b9e85a0cfba011812b637b1f3ae2529
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:35:55 2010 +1000

    Remove convoluted do { } while loop.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fac47e7df6f719b1fce5341b343cabcbe150b52f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:34:21 2010 +1000

    Move protocol ID detection into a separate function.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 859b8f2c4d964cd9b40dcbc64bd28fc98e129387
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 12:17:19 2010 +1000

    Use single exit path for PreInit.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 11f94120035d1c4e2d1d299d9fa19f79ca3ed75e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 12:13:00 2010 +1000

    De-duplicate Option "Device" handling.
    
    Move the warning messages and the OS-specific autoprobing calls into a new
    function. This will change the order log messages appear in but functional
    changes should be identical.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b1920abf72664765f7dab4a487839a3d29267a1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:59:17 2010 +1000

    Remove unused branch from if 1 condition.
    
    This has been in since 2003 or earlier, let's pretend it works.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 008906b855f05be4d1942d2a3e1afcb8a7ee4b14
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:56:36 2010 +1000

    Remove a bunch of unnecessary log prints.
    
    xf86SetFooOption will print to the log anyway, no need to print twice.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9d6723303216e7b6de583716768d0dc972f03d03
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:53:21 2010 +1000

    Remove if 0'd out model.
    
    If 0 since at least 2003 is enough to pretend we don't need this block.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f227252af6458fbf6cbeee43e3f739fd2f03c67
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 15:38:57 2010 +1000

    Remove includes for protocol headers.
    
    The driver shouldn't need those.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3b39dd7ca3a4055e63a8ca55b614912fe47215a6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:49:51 2010 +1000

    Remove unused define NEED_X86_TYPES.
    
    Not needed for 1.6 and later.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef4fad4d823d46be4538daeca0ee3e014efc73c2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:39:42 2010 +1000

    Assume ABI_XINPUT_VERSION 4 or higher.
    
    We require server 1.6 in configure.ac to build, so let's assume that's the
    minimal ABI version we support. Purge the rest.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7b426ef2a6bc181ec700f74b59b39c2e695bf6b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:34:41 2010 +1000

    Remove refcnt field from InputDriverRec.
    
    Wasn't used in the server and is now removed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5fc405451d8fa01b9e5fb6f2da74a6e03d50174
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:31:23 2010 +1000

    Don't try to call conversion_proc anymore.
    
    This hasn't been called since at least server 1.5 or so (ABI 2), possibly
    longer.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bb2d63df99457de1e5c06be501a03b5629fc52c8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:10:25 2010 +1000

    Replace LocalDevicePtr with InputInfoPtr.
    
    No functional changes.
    The typedef has been removed from the server but was an alias for
    InputInfoPtr since the dawn of, well, at least git.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5f4fc652cf5999045ff9006a55cf75edaba65c0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 10:57:58 2010 +1000

    XI86_POINTER_CAPABLE is gone from the server.
